Skip to main content
GET
Export usage as CSV

Authorizations

Authorization
string
header
required

An API key (zode_tok_...). Create one in the console under API keys (https://console.zode.dev/tokens), or with zode login.

Query Parameters

from
string<date>

First UTC day (YYYY-MM-DD). Default 29 days before to.

to
string<date>

Last UTC day, inclusive (YYYY-MM-DD). Default today. At most 92 days in all.

group_by
enum<string>
default:repo
Available options:
repo,
branch,
pr,
member,
sandbox,
model

Response

Columns: day, <group_by>, sandbox_hours, compute_micros, storage_micros, static_ip_micros, billable_micros, ai_micros_not_billed, ai_calls

The response is of type string.